Page MenuHomePhabricator

Change Category filtering on Commons so it applies to files, not pages
Closed, ResolvedPublic2 Story Points

Description

What to do

Change Category filtering so that on Commons only, filtering applies to files and not to pages. Once this functional change is made, add a line of text to the Category filter UI to explain the feature to users.

Why are we doing this?

Currently, users can enter Commons categories into the Category filter during setup. The filter, however, applies only to pages and has no effect on uploaded files. Commons editors are interested in tracking their uploaded files—while page statistics on Commons are of little interest. So on Commons only, we'll make it so that Category filtering works with files.

Technical requirements for Category filtering on Commons

  • On Commons (only), category filtering will apply only to files, not to pages.
    • [As far as I know, page metrics already don't get counted on Commons: e.g., we don't include Commons in Pages Created, Pages Improved, Edits, Bytes changed, etc.] @MusikAnimal, please confirm.
  • Conversely, on Wikipedias, categories will continue to restrict metrics only for Main namespace pages. Category filtering has no effect on files uploaded to Wikipedias. (Which means that if Category filtering is used without Participants, files uploaded directly to Wikipedias will not be included in any metrics.)
    • As now, Commons Category filtering will be available only for Events for which Commons was specified as a wiki of interest during setup.
Metrics this will impact

Any metric related to files uploaded. E.g, from the Event Summary report (T205561):

  • Files Uploaded
  • Pages with uploaded files
  • Uploaded files in use
  • Avg. daily views to files uploaded
    • (This will also, obviously, impact all metrics in the Files Uploaded report, which hasn't been specified yet.)

Change to Category filter UI

Add the following line of explanatory text to the filtering UI, positioned and styled as shown in the screenshot below (This layout assumes the changes in T209107 are already complete)

  • On Commons only, use this to filter files (images, videos, etc.), instead of pages.

Event Timeline

jmatazzoni triaged this task as Medium priority.Jan 26 2019, 12:01 AM
jmatazzoni created this task.

I talked to Sati just now, who said that adding this capability is important.

She also suggested a use case she says is not uncommon for which organizers might use both Worklist and Category filtering (with Participants, since that's required for Categories). Imagine an editathon about Jazz musicians. The organizers might have a list of Jazz Musician articles they want to create AND they may plan to upload a collection of images. They could use Worklist to track the articles and Category filtering on Commons for the images. The two would, AFAIK, work together.

jmatazzoni renamed this task from Change Category filter so it applies to files, not pages, on Commons to Change how Category filtering works on Commons so it applies to files, not pages .Feb 4 2019, 11:41 PM
jmatazzoni updated the task description. (Show Details)
Niharika set the point value for this task to 2.Feb 7 2019, 12:38 AM
Niharika moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
jmatazzoni renamed this task from Change how Category filtering works on Commons so it applies to files, not pages to Change Category filtering on Commons so it applies to files, not pages .Feb 15 2019, 10:48 PM

@Mooeypoo @MusikAnimal, I just realized I probably need to change the spec here, in light of our decision to make Categories work without Participants. I had written:

...Wikipedias, categories will continue to restrict metrics only for Main namespace pages. Category filtering has no effect on files uploaded to Wikipedias. Which means that all "Files Uploaded" to local wikis will continue to be counted, no matter what categories they are or are not in.

That can, I imagine, continue to be true only when there are Participants. If there are no participants, this would break our rule that at least one filter must be applied to all contributions.

So I'm guessing that I should write that users who are not using Participants won't get info about files uploaded to Wikipedias. This is fine with me. The alternative—making it so that categories can apply to files on Wikipedias—is harder, right? So is that what I should write in the Description?

...Wikipedias, categories will continue to restrict metrics only for Main namespace pages. Category filtering has no effect on files uploaded to Wikipedias. Which means that all "Files Uploaded" to local wikis will continue to be counted, no matter what categories they are or are not in.

Correct. It's going to be really difficult (at least from a UI perspective) to allow some categories for files and others for pages, on the same wiki. I can say that from experience, this is a rather rare scenario anyway on the English Wikipedia. Local files are usually non-free fair use -- such as an album cover or poster -- things that can't be uploaded to Commons (and if can live on Commons, someone will move it there). Usually the extent of local file categorization is [[Category:Album covers]] or [[Category:Non-free posters]], etc., and nothing more fine-grained that would provide real benefit.

That can, I imagine, continue to be true only when there are Participants. If there are no participants, this would break our rule that at least one filter must be applied to all contributions.
So I'm guessing that I should write that users who are not using Participants won't get info about files uploaded to Wikipedias. This is fine with me.

Hmm I think I know what you mean. We do want to make it so that "at least one filter must be applied", for every wiki they enter. The Commons-only categorization should not dictate what pages are processed on the Wikipedias (at least for now, version 1) -- there should be dedicated filters for the content wikis. Does that answer your question?

The alternative—making it so that categories can apply to files on Wikipedias—is harder, right?

Much harder, as I said above, and probably doesn't provide much benefit.

MaxSem claimed this task.Feb 23 2019, 3:48 AM
MaxSem moved this task from Ready to In Development on the Community-Tech-Sprint board.

Re. the discussion in T214744#4967099, above, I've changed the Description of this task to say that "Category filtering has no effect on files uploaded to Wikipedias."

QA can wait until T205734 is ready.

Looks like T205734 is ready for QA now so we can proceed with testing this.

T205734 needs more development so this can wait until that fix happens before this is tested. Wait until it's done before doing this or do them together. Whatever @dom_walden think will work best.

T205734 needs more development so this can wait until that fix happens before this is tested. Wait until it's done before doing this or do them together. Whatever @dom_walden think will work best.

You now have what you need. Please do QA this soonest. Thanks.

I tested every bullet point in the Description and got the expected results. @dom_walden, I think we should definitely lean on category searching of files in exploratory testing, but I am Resolving this ticket.

jmatazzoni closed this task as Resolved.Mar 27 2019, 10:34 PM
jmatazzoni moved this task from QA to Q3 2018-19 on the Community-Tech-Sprint board.